Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ant
Class JMX.Param

    java.lang.Object
      org.jboss.ant.JMX.Param

Enclosing class:
  JMX

public static class JMX.Param
extends Object

The class `Param` is used to represent a object by means of a string representation of its value and its type.

Constructor Summary
`JMX.Param()`

Method Summary
`String` | `getArg()`
`String` | `getType()`
`Object` | `getValue()` The `getValue` method uses PropertyEditors to convert the string representation of the value to an object, which it returns.
`void` | `setArg(String arg)` The `setArg` method sets the string representation of the parameters value.
`void` | `setType(String type)` The `setType` method sets the fully qualified class name of the type represented by the param object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMX.Param

    public JMX.Param()

Method Detail

### setArg

    public void setArg(String arg)

  The `setArg` method sets the string representation of the parameters value.

  Parameters:
    `arg` - a `String` value

### getArg

    public String getArg()

### setType

    public void setType(String type)

  The `setType` method sets the fully qualified class name of the type represented by the param object.

  Parameters:
    `type` - a `String` value

### getType

    public String getType()

### getValue

    public Object getValue()
                    throws Exception

  The `getValue` method uses PropertyEditors to convert the string representation of the value to an object, which it returns. The PropertyEditor to use is determined by the type specified.

  Returns:
    an `Object` value
  Throws:
    `Exception` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.